Get Company Business Units
All background check API endpoints are restricted to background check providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.
Summary Description
This endpoint returns package businessUnits for the companyId querying
Use Cases
- Partner needs to confirm all package businessUnits have been added into Paylocity for a client
- Partner needs to confirm the status of package businessUnits that have been added for a client
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.
Headers
Media type(s) the client can accept in the response (typically application/json).
Query parameters
If true it will add X-Pcty-Total-Count header with total count for this specific query.
Pagination offset. Uses item-index offset semantics: this is the number of resources to skip (not a page number). Pair with limit for paging.
Pagination limit. Max value 100. Used together with offset for offset/limit pagination.
Response headers
When the request sets includeTotalCount=true, the API returns this header with the total number of resources available (even if only one page is returned).